set linesize 32000
set pagesize 1000
set echo on
set termout on
set trimspool on

spool eightmanual.log

-- show db version

select * from v$version;

-- parallel_degree_policy is set to default of MANUAL

alter session set parallel_degree_policy='MANUAL';

-- Set force local to default of false

alter session set parallel_force_local=FALSE;

-- get number of cpus

show parameter cpu_count

-- get number of instances

show parameter parallel_server_instances

-- get number of threads per instance

show parameter parallel_threads_per_cpu

drop table test;

create table test parallel 8 as select * from dba_tables;

alter session set max_dump_file_size = unlimited;
ALTER SESSION SET tracefile_identifier = 'eightmanual';
ALTER SESSION SET EVENTS '10053 trace name context forever, level 1';

select sum(blocks) from test;

ALTER SESSION SET EVENTS '10053 trace name context OFF';

-- number of parallel server threads should be
-- cpus*instances*threads per cpu

spool off
